## salt 2019.2.5+ds

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SPHINXLANG    =
XELATEX       = xelatex

# ----- Translations Support ------------------------------------------------>
#  If language is set, also set translation options
ifeq ($(shell [ "x$(SPHINXLANG)" != "x" ] && echo 0 || echo 1), 0)
TRANSLATIONOPTS = -D language='$(SPHINXLANG)'
else
TRANSLATIONOPTS =
endif

#  Reset settings if sphinx-intl is not available
ifeq ($(shell which sphinx-intl >/dev/null 2>&1; echo $$?), 1)
SPHINXLANG =
TRANSLATIONOPTS =
endif
# <---- Translations Support -------------------------------------------------

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(TRANSLATIONOPTS) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean check_sphinx-build html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext translations download-translations

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf        to make Salt-all.pdf and splitted pdf using xelatex"
	@echo "  cheatsheet to create salt-cheatsheet.pdf"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	test -d 'locale' && find locale/ -name *.mo -exec rm {} \; || true

# User-friendly check for sphinx-build
check_sphinx-build:
	@which $(SPHINXBUILD) >/dev/null 2>&1 || (echo "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://www.sphinx-doc.org/en/master/)" >&2; false)

html: check_sphinx-build translations
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: check_sphinx-build translations
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: check_sphinx-build translations
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: check_sphinx-build translations
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: check_sphinx-build translations
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: check_sphinx-build translations
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: check_sphinx-build translations
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp: check_sphinx-build translations
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub: check_sphinx-build translations
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: check_sphinx-build translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: check_sphinx-build translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: check_sphinx-build translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf: check_sphinx-build translations
	@if [ "$(XELATEX)"  = "xelatex" ] || [ "x$(XELATEX)" = "x" ]; then \
		echo "The '$(XELATEX)' command was not found."; \
	fi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	$(MAKE) -C $(BUILDDIR)/latex -i "PDFLATEX=latexmk" "LATEXMKOPTS=-xelatex -interaction=nonstopmode -f -quiet"
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

cheatsheet: translations
	@echo "Running cheatsheet/salt.tex file through xelatex..."
	cd cheatsheet &&  xelatex salt.tex && cp salt.pdf ../salt-cheatsheet.pdf
	@echo "./salt-cheatsheet.pdf created."

text: check_sphinx-build translations
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: check_sphinx-build translations
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: check_sphinx-build translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: check_sphinx-build translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: check_sphinx-build
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale"

changes: check_sphinx-build translations
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

spelling: check_sphinx-build
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

linkcheck: check_sphinx-build
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: check_sphinx-build
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: check_sphinx-build translations
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: check_sphinx-build translations
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

translations:
	@if [ "$(SPHINXLANG)" = "en" ] || [ "x$(SPHINXLANG)" = "x" ]; then \
		echo "No need to update translations. Skipping..."; \
	elif [ ! -d locale/$(SPHINXLANG) ]; then \
		echo "The locale directory for $(SPHINXLANG) does not exist"; \
		exit 1; \
	else \
		echo "Compiling exising message catalog for '$(SPHINXLANG)'"; \
		.scripts/compile-translation-catalogs; \
	fi

download-translations:
	@echo "Downloading $(SPHINXLANG) translations"
	.scripts/download-translation-catalog $(SPHINXLANG)

=== debian/changelog ===
salt (2019.2.5+ds-1) stable; urgency=medium

  * Build of Salt 2019.2.5  for Python 2

 -- Salt Stack Packaging <packaging@saltstack.com>  Fri, 08 May 2020 07:57:47 -0700

=== debian/control ===
Source: salt
Section: admin
Priority: extra
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           David Murphy <dmurphy@saltstack.com>
Build-Depends: debhelper (>= 11),
               bash-completion,
               dh-systemd (>= 1.4),
               dpkg-dev (>= 1.16.2),
               python | python-all | python-dev | python-all-dev,
               python-setuptools,
               python-debian,
               python-sphinx (>= 1.0),
               dh-python
Standards-Version: 4.1.3
Homepage: http://saltstack.org/
Vcs-Browser: https://github.com/saltstack/salt.git
Vcs-Git: git://github.com/saltstack/salt.git


Package: salt-common
Architecture: all
Depends: python-apt,
         python-dateutil,
         python-jinja2,
         python-msgpack (>= 0.4),
         python-pkg-resources,
         python-requests (>= 1.0.0),
         python-concurrent.futures,
         python-tornado (>= 4.2.1),
         python-yaml,
         python-systemd,
         python-psutil,
         python-gnupg,
         ${misc:Depends},
         ${python:Depends}
Suggests: ifupdown
Recommends: lsb-release,
            python-mako
Breaks: python-mako (<< 0.7.0)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.


Package: salt-master
Architecture: all
Depends: python-crypto (>= 2.6.1),
         python-zmq (>= 14.4.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.


Package: salt-minion
Architecture: all
Depends: bsdmainutils,
         dctrl-tools,
         python-crypto (>= 2.6.1),
         python-zmq (>= 14.4.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: dmidecode,
            debconf-utils
Suggests: python-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.


Package: salt-syndic
Architecture: all
Depends: salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.


Package: salt-ssh
Architecture: all
Depends: salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.


Package: salt-cloud
Architecture: all
Depends: python-libcloud (>= 0.14.1-1),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-botocore
Recommends: python-netaddr
Description: public cloud VM management system
 provision virtual machines on various public clouds via a cleanly
 controlled profile and mapping system.


Package: salt-api
Architecture: all
Depends: salt-master,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_OPTIONS=-v
export PYBUILD='salt'

include /usr/share/python/python.mk

%:
	dh $@ --with python2,bash-completion --with=systemd --buildsystem=pybuild

## Note these want a prefix to operate, i.e. python3-foo and python-foo instead of foo
## override_dh_python2: dh_python2 --shebang=/usr/bin/python2
## override_dh_python3: dh_python3 --shebang=/usr/bin/python3
override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
##	make -C doc html
##     make -C doc man
##
## override_dh_auto_clean:
##     make -C doc clean
##     dh_auto_clean
##
## override_dh_fixperms:
## 	dh_fixperms
## 	chmod 2750 debian/salt-common/var/log/salt
## 	chown root:adm debian/salt-common/var/log/salt

## salt 3000.2+ds

=== debian/changelog ===
salt (3000.2+ds-1) stable; urgency=medium

  * Build of Salt 3000.2 for Python 2 and Python 3

 -- Salt Stack Packaging <packaging@saltstack.com>  Tue, 21 Apr 2020 16:37:05 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            David Murphy <dmurphy@saltstack.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 9.20120410~),
                bash-completion,
                dh-systemd (>= 1.4),
                dpkg-dev (>= 1.16.2),
@@ -15,7 +15,7 @@
                python-debian,
                python-sphinx (>= 1.0),
                dh-python
-Standards-Version: 4.1.3
+Standards-Version: 3.9.6
 Homepage: http://saltstack.org/
 Vcs-Browser: https://github.com/saltstack/salt.git
 Vcs-Git: git://github.com/saltstack/salt.git
@@ -26,20 +26,21 @@
 Depends: python-apt,
          python-dateutil,
          python-jinja2,
-         python-msgpack (>= 0.4),
+         python-msgpack (>= 0.5.6),
          python-pkg-resources,
          python-requests (>= 1.0.0),
          python-concurrent.futures,
-         python-tornado (>= 4.2.1),
+         python-backports-abc,
+         python-singledispatch,
          python-yaml,
          python-systemd,
          python-psutil,
          python-gnupg,
          ${misc:Depends},
          ${python:Depends}
-Suggests: ifupdown
 Recommends: lsb-release,
             python-mako
+Suggests: python-pycurl, python-twisted
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
  salt is a powerful remote execution manager that can be used to

## salt 3000.3+ds

=== debian/changelog ===
salt (3000.3+ds-1) stable; urgency=medium

  * Build of Salt 3000.3 for Python 2 and Python 3

 -- Salt Stack Packaging <packaging@frogunder.com>  Thu, 07 May 2020 14:37:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,25 @@
            Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
            Andriy Senkovych <jolly_roger@itblog.org.ua>,
            David Murphy <dmurphy@saltstack.com>
-Build-Depends: debhelper (>= 9.20120410~),
-               bash-completion,
+Build-Depends: bash-completion,
+               debhelper (>= 9.20120410~),
+               dh-python,
                dh-systemd (>= 1.4),
-               dpkg-dev (>= 1.16.2),
                python | python-all | python-dev | python-all-dev,
+               python-debian,
                python-setuptools,
-               python-debian,
-               python-sphinx (>= 1.0),
-               dh-python
+               python-sphinx (>= 1.0)
 Standards-Version: 3.9.6
 Homepage: http://saltstack.org/
 Vcs-Browser: https://github.com/saltstack/salt.git
 Vcs-Git: git://github.com/saltstack/salt.git
 
-
 Package: salt-common
 Architecture: all
 Depends: python-apt,
          python-dateutil,
          python-jinja2,
-         python-msgpack (>= 0.5.6),
+         python-msgpack (>= 0.6),
          python-pkg-resources,
          python-requests (>= 1.0.0),
          python-concurrent.futures,
@@ -35,11 +33,9 @@
          python-yaml,
          python-systemd,
          python-psutil,
-         python-gnupg,
-         ${misc:Depends},
-         ${python:Depends}
-Recommends: lsb-release,
-            python-mako
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: lsb-release, python-croniter
 Suggests: python-pycurl, python-twisted
 Breaks: python-mako (<< 0.7.0)
 Description: shared libraries that salt requires for all packages
@@ -62,10 +58,10 @@
  This particular package provides shared libraries that
  salt-master, salt-minion, and salt-syndic require to function.
 
-
 Package: salt-master
 Architecture: all
-Depends: python-crypto (>= 2.6.1),
+Depends: lsb-base (>= 3.0-6),
+         python-crypto (>= 2.6.1),
          python-zmq (>= 14.4.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
@@ -90,18 +86,17 @@
  .
  This particular package provides the salt controller.
 
-
 Package: salt-minion
 Architecture: all
-Depends: bsdmainutils,
+Depends: lsb-base (>= 3.0-6),
+         bsdmainutils,
          dctrl-tools,
          python-crypto (>= 2.6.1),
          python-zmq (>= 14.4.0),
          salt-common (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
-Recommends: dmidecode,
-            debconf-utils
+Recommends: debconf-utils, dmidecode, sfdisk, e2fprogs
 Suggests: python-augeas
 Description: client package for salt, the distributed remote execution system
  salt is a powerful remote execution manager that can be used to
@@ -122,10 +117,10 @@
  .
  This particular package provides the worker / agent for salt.
 
-
 Package: salt-syndic
 Architecture: all
-Depends: salt-master (= ${source:Version}),
+Depends: lsb-base (>= 3.0-6),
+         salt-master (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
 Description: master-of-masters for salt, the distributed remote execution system
@@ -148,13 +143,12 @@
  This particular package provides the master of masters for salt
  - it enables the management of multiple masters at a time.
 
-
 Package: salt-ssh
 Architecture: all
 Depends: salt-common (= ${source:Version}),
          ${misc:Depends},
          ${python:Depends}
-Description: remote manager to administer servers via salt
+Description: remote manager to administer servers via Salt SSH
  salt is a powerful remote execution manager that can be used to
  administer servers in a fast and efficient way.
  .
@@ -189,10 +183,10 @@
  provision virtual machines on various public clouds via a cleanly
  controlled profile and mapping system.
 
-
 Package: salt-api
 Architecture: all
-Depends: salt-master,
+Depends: lsb-base (>= 3.0-6),
+         salt-master,
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-cherrypy3
@@ -205,3 +199,4 @@
  to external sources. salt-api acts as the bridge between Salt itself and
  REST, Websockets, etc.
 
+

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/python/python.mk

%:
	dh $@ --with python2,bash-completion --with=systemd

override_dh_auto_build:
	dh_auto_build
##	make -C doc html
##	make -C doc man
##
## override_dh_auto_clean:
##	make -C doc clean
##	dh_auto_clean
##
## override_dh_fixperms:
## 	dh_fixperms
## 	chmod 2750 debian/salt-common/var/log/salt
## 	chown root:adm debian/salt-common/var/log/salt

## salt 3001+dfsg1

=== debian/changelog ===
salt (3001+dfsg1-2) unstable; urgency=medium

  * tests: Replace os.getlogin by getpass.getuser (Closes: #964270, #964614)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 14 Jul 2020 12:57:17 +0200

salt (3001+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #962514)
  * Drop 18 patches that were accepted upstream and refresh remaining patches
  * Fix parsing version of virtualenv (upstream bug #57734)
  * d/copyright: Drop removal of nssm.exe (not present any more)
  * Remove NOTICE from docs (not shipped any more)
  * Replace python3-pytestsalt by python3-saltfactories for tests
  * Fix import of Crypto in salt.cloud.clouds.ec2
  * Support testing against system installed version (for autopkgtest)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 23 Jun 2020 19:29:13 +0200

salt (3000.2+dfsg1-1) unstable; urgency=medium

  * New upstream bug-fix release
  * Fix bug in Replace-deprecated-inspect.formatargspec.patch
  * Refresh spelling mistake fix patches
  * Replace patch for test_datetime_config_validation by the patch that were
    accepted upstream.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 30 Apr 2020 12:28:43 +0200

salt (3000.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Drop Fix-regression-in-service-states-with-reload-argumen.patch
    (applied upstream)
  * Refresh remaining patches
  * doc: Do not mock Python's concurrent module (Closes: #955057)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 09 Apr 2020 18:17:36 +0200

salt (3000+dfsg1-4) unstable; urgency=medium

  * Let sphinx display the full traceback when an unhandled exception occurs
    to help debugging #955057.
  * autopkgtest: Skip tests that need Internet access (Closes: #954154)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 30 Mar 2020 11:29:56 +0200

salt (3000+dfsg1-3) unstable; urgency=medium

  * Move documentation to /usr/share/doc/salt-doc/html
  * Add support for setting DEB_BUILD_OPTIONS=nodoc
  * Improve skip tests that need Internet access (to fix build on Ubuntu)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 03 Mar 2020 16:19:19 +0100

salt (3000+dfsg1-2) unstable; urgency=medium

  * Require python3-pytestsalt >= 2019.6.13 for tests
  * Skip more test cases that need Internet access
  * Install NOTICE in salt-common

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 02 Mar 2020 14:39:19 +0100

salt (3000+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * Drop tornado4 patches and use vendored tornado
  * Fix CMDMODTestCase if home directory does not exist (PR #55961)
  * Fix deprecation warnings for imports from collections (PR #56225)
  * Replace log.warn by log.warning (PR #56226)
  * Replace deprecated ElementTree.getchildren() (PR #56226)
  * Fix broken symlink in test_symlink_list (PR #56227)
  * Add new build/test Python dependencies: cheetah, genshi, mako, openssl
  * Fix regression in service states with reload argument

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 25 Feb 2020 15:42:34 +0100

=== debian/control ===
Source: salt
Section: admin
Priority: optional
Maintainer: Debian Salt Team <pkg-salt-team@alioth-lists.debian.net>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           Benjamin Drung <benjamin.drung@cloud.ionos.com>,
           Ondřej Nový <onovy@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 12),
               dh-python,
               dpkg-dev (>= 1.16.2),
               libjs-bootstrap,
               libjs-modernizr,
               python3,
               python3 (>= 3.6) | python3-mock,
               python3-augeas,
               python3-boto,
               python3-boto3,
               python3-cheetah,
               python3-cherrypy3,
               python3-consul,
               python3-croniter,
               python3-crypto (>= 2.6),
               python3-dateutil,
               python3-distro | python3 (<< 3.8),
               python3-dnspython,
               python3-docker,
               python3-elasticsearch,
               python3-etcd,
               python3-genshi,
               python3-git,
               python3-hglib,
               python3-isodate,
               python3-jinja2,
               python3-jsonschema,
               python3-junos-eznc,
               python3-keyring,
               python3-kubernetes,
               python3-ldap,
               python3-libcloud (>= 0.14.1),
               python3-mako,
               python3-msgpack,
               python3-mysqldb,
               python3-openssl,
               python3-pip,
               python3-psutil,
               python3-pygit2,
               python3-pyinotify,
               python3-pyroute2,
               python3-pytoml,
               python3-pyvmomi,
               python3-requests (>= 1.0.0),
               python3-saltfactories,
               python3-setuptools,
               python3-twilio,
               python3-yaml,
               python3-zmq (>= 13.1.0),
               sphinx-common,
               virtualenv
Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
Standards-Version: 4.5.0
Homepage: http://saltstack.org/
Vcs-Browser: https://salsa.debian.org/salt-team/salt
Vcs-Git: https://salsa.debian.org/salt-team/salt.git
Rules-Requires-Root: binary-targets

Package: salt-common
Architecture: all
Depends: python3-apt,
         python3-dateutil,
         python3-distro | python3 (<< 3.8),
         python3-jinja2,
         python3-msgpack,
         python3-pkg-resources,
         python3-psutil,
         python3-requests (>= 1.0.0),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lsb-release, python3-croniter
Suggests: python3-mako, salt-doc (= ${source:Version})
Breaks: python3-mako (<< 0.7.0),
        salt-formula-ceilometer (<= 2016.12.1-1),
        salt-formula-cinder (<= 2016.12.1-1),
        salt-formula-glance (<= 2016.12.1-1),
        salt-formula-keystone (<= 2016.12.1-1),
        salt-formula-kubernetes (<= 2016.12.1-1)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         lsb-base (>= 3.0-6),
         python3-crypto (>= 2.6),
         python3-systemd | sysvinit-core,
         python3-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pygit2 | python3-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bsdmainutils,
         dctrl-tools,
         lsb-base (>= 3.0-6),
         python3-crypto (>= 2.6),
         python3-systemd | sysvinit-core,
         python3-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: debconf-utils, dmidecode, e2fsprogs, sfdisk
Suggests: python3-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base (>= 3.0-6),
         python3-systemd | sysvinit-core,
         salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-ssh
Architecture: all
Depends: salt-common (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
Description: remote manager to administer servers via Salt SSH
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.

Package: salt-doc
Architecture: all
Section: doc
Built-Using: ${sphinxdoc:Built-Using}
Depends: fonts-open-sans,
         libjs-bootstrap,
         libjs-modernizr,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: salt-common (<< 2016.11.5)
Replaces: salt-common (<< 2016.11.5)
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

Package: salt-cloud
Architecture: all
Depends: python3-libcloud (>= 0.14.1-1),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-botocore
Recommends: python3-netaddr
Description: public cloud VM management system
 Salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Salt Cloud is built-in to Salt to provision systems on cloud hosts or
 hypervisors and immediately bring them under management.

Package: salt-api
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lsb-base (>= 3.0-6),
         python3-systemd | sysvinit-core,
         salt-master,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.

Package: salt-proxy
Architecture: all
Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
Description: Proxy client package for salt stack
 Proxy minion allows a remote manager to administer devices that are unable to
 run a minion. salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 devices. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --buildsystem pybuild --with bash-completion,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	rm -f doc/_themes/saltstack/static/css/*.min.css doc/_themes/saltstack/static/js/vendor/*.js
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js doc/_themes/saltstack/static/js/vendor/bootstrap.min.js
	ln -s /usr/share/javascript/modernizr/modernizr.min.js doc/_themes/saltstack/static/js/vendor/modernizr-2.6.2-respond-1.1.0.min.js
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	HTML_THEME=saltstack make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build SPHINXOPTS=-T
	HTML_THEME=saltstack make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build SPHINXOPTS=-T
endif

override_dh_auto_install:
	# Work around missing global options support: https://bugs.debian.org/890906
	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --install-layout deb --root $(CURDIR)/debian/tmp

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 NO_INTERNET=1 python3 ./tests/runtests.py -v --no-report --unit
endif

override_dh_install:
	dh_install -X/usr/share/man/man

override_dh_compress:
	dh_compress -X.ico

override_dh_fixperms:
	dh_fixperms
	chmod 2750 debian/salt-common/var/log/salt
	chown root:adm debian/salt-common/var/log/salt

override_dh_missing:
	dh_missing -X/usr/share/man/man --fail-missing

=== debian/tests/control ===
Test-Command: cp -r conf scripts tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; LC_ALL=C.UTF-8 NO_INTERNET=1 python3 ./tests/runtests.py -v --no-report --unit
Depends: python3 (>= 3.6) | python3-mock,
         python3-augeas,
         python3-boto,
         python3-boto3,
         python3-cheetah,
         python3-cherrypy3,
         python3-consul,
         python3-croniter,
         python3-crypto (>= 2.6),
         python3-dnspython,
         python3-docker,
         python3-elasticsearch,
         python3-etcd,
         python3-genshi,
         python3-git,
         python3-hglib,
         python3-isodate,
         python3-jsonschema,
         python3-junos-eznc,
         python3-keyring,
         python3-kubernetes,
         python3-ldap,
         python3-libcloud (>= 0.14.1),
         python3-mako,
         python3-mysqldb,
         python3-openssl,
         python3-pip,
         python3-pygit2,
         python3-pyinotify,
         python3-pyroute2,
         python3-pytoml,
         python3-pyvmomi,
         python3-saltfactories,
         python3-twilio,
         python3-zmq (>= 13.1.0),
         salt-common,
         virtualenv
Restrictions: allow-stderr
Features: test-name=unittest
